# -*- encoding: utf-8 -*-

require_relative '../lib/currency_wiz.rb'

describe CurrencyWiz do

	describe "#get_code" do
		it "should return the currency code given a country's name" do
			CurrencyWiz.get_code("United States").should eq ("USD")
			CurrencyWiz.get_code("taiwan").should eq("TWD")
		end

		it "should return 'Invalid country name' if country does not exist" do
			CurrencyWiz.get_code("Apple").should eq("Invalid country name")
			CurrencyWiz.get_code("ruby").should eq("Invalid country name")
		end
	end

	describe "#exchange_rate" do
		it "should return nil for an invalid country code" do
			CurrencyWiz.exchange_rate("AAAA").should be_nil
		end

		it "should return an integer for a valid country code" do
			CurrencyWiz.exchange_rate("USD").should_not be_nil
		end
	end
end